eu.smoser.dungeongenerator.dungeon

## Class Room

- java.lang.Object
- - eu.smoser.dungeongenerator.dungeon.Room

    public class Room
    extends java.lang.Object

### Field Summary

Fields
`Exit[]` `exits` The list of exits in this room
`int` `number` The unique number of the room

### Constructor Summary

Constructors
Constructor and Description
`Room(Exit predecessor, int numberOfExits, boolean room, java.lang.String desc, Counter c)` Constructs a room with a given predecessor, number of exits, description and counter

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.List<Room>` `generate(Counter c, Dungeon.Type type, java.util.HashMap<java.lang.Integer,java.lang.Integer> map)` Generates the content of the room
`static Room` `RandomRoom(boolean first, Exit predecessor, Counter c, Dungeon.Type type, java.util.HashMap<java.lang.Integer,java.lang.Integer> map)` Generates a random room
`java.lang.String` `toLongString()` Returns a long description
`java.lang.String` `toShortString()` Returns a short description
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### number

    public int number

The unique number of the room

#### exits

    public Exit[] exits

The list of exits in this room

### Constructor Detail

#### Room

    public Room(Exit predecessor,
                int numberOfExits,
                boolean room,
                java.lang.String desc,
                Counter c)

Constructs a room with a given predecessor, number of exits, description and counter

Parameters:
  `predecessor` - Predecessor room
  `numberOfExits` - Number of exits
  `room` - Whether it is a room
  `desc` - Description of room
  `c` - Room counter

### Method Detail

#### generate

    public java.util.List<Room> generate(Counter c,
                                         Dungeon.Type type,
                                         java.util.HashMap<java.lang.Integer,java.lang.Integer> map)

Generates the content of the room

Parameters:
  `c` - Room counter
  `type` - Environment type
  `map` - Experimental map
Returns:
  Returns more rooms to generate

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toLongString

    public java.lang.String toLongString()

Returns a long description

Returns:
  Long description string

#### toShortString

    public java.lang.String toShortString()

Returns a short description

Returns:
  Short description string

#### RandomRoom

    public static Room RandomRoom(boolean first,
                                  Exit predecessor,
                                  Counter c,
                                  Dungeon.Type type,
                                  java.util.HashMap<java.lang.Integer,java.lang.Integer> map)

Generates a random room

Parameters:
  `first` - Whether it is the first room
  `predecessor` - Predecessor room
  `c` - Room counter
  `type` - Environment type
  `map` - The map for experimental mode
Returns:
  random room